#### Beyond Linux® From Scratch (System V Edition) - Version r12.2-875

### Chapter 12. System Utilities

- Prev

  MC-4.8.32

- Next

  notification-daemon-3.20.0

- Up
- Home

# ModemManager-1.18.12

## Introduction to ModemManager

ModemManager provides a unified high level API for communicating with mobile broadband modems, regardless of the protocol used to communicate with the actual device.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://www.freedesktop.org/software/ModemManager/ModemManager-1.18.12.tar.xz

- Download MD5 sum: 9f014dfc59f1bd8bc230bb2c2974d104

- Download size: 2.5 MB

- Estimated disk space required: 155 MB (with tests)

- Estimated build time: 0.7 SBU (Using parallelism=4; with tests)

### ModemManager Dependencies

#### Required

libgudev-238

#### Recommended

elogind-255.5, GLib-2.82.4 (with GObject Introspection), libmbim-1.26.4, libqmi-1.30.8, Polkit-125, and Vala-0.56.17

#### Optional

GTK-Doc-1.34.0

Editor Notes: https://wiki.linuxfromscratch.org/blfs/wiki/ModemManager

## Installation of ModemManager

Install ModemManager by running the following commands:

    ./configure --prefix=/usr                 \
                --sysconfdir=/etc             \
                --localstatedir=/var          \
                --disable-static              \
                --disable-maintainer-mode     \
                --with-systemd-journal=no     \
                --with-systemd-suspend-resume &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--with-systemd-suspend-resume`: This switch forces ModemManager to use the elogind power management facilities.

`--with-systemd-journal=no` : This switch forces ModemManager not to use the systemd journal for logging.

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: mmcli and ModemManager
Installed Libraries: libmm-glib.so
Installed Directories: /etc/ModemManager, /usr/include/libmm-glib, /usr/include/ModemManager, /usr/lib/ModemManager, /usr/share/ModemManager, /usr/share/gtk-doc/html/libmm-glib (optional), and /usr/share/gtk-doc/html/ModemManager (optional)

### Short Descriptions

mmcli | is an utility used to control and monitor the ModemManager
ModemManager | is a D-Bus service used to communicate with modems
`libmm-glib.so` | contains API functions for communicating with mobile broadband modems, regardless of the protocol used to communicate with the actual device

- Prev

  MC-4.8.32

- Next

  notification-daemon-3.20.0

- Up
- Home